# Class FilestoreTableLoadDialog

java.lang.Object
uk.ac.starlink.table.gui.AbstractTableLoadDialog
uk.ac.starlink.table.gui.FilestoreTableLoadDialog

All Implemented Interfaces:
  `TableLoadDialog`

public class FilestoreTableLoadDialog extends AbstractTableLoadDialog
Load dialogue based on a FilestoreChooser.

Since:
  13 Sept 2010
Author:
  Mark Taylor

## Constructor Summary

Constructors
Constructor
Description
`FilestoreTableLoadDialog()`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`protected Component`
`createQueryComponent()`
Constructs the query component used by this dialogue.
`TableLoader`
`createTableLoader()`
Returns a new object which specifies how table loading is to be performed.
`uk.ac.starlink.connect.FilestoreChooser`
`getChooser()`
Returns the filestore chooser used by this dialogue.

### Methods inherited from class AbstractTableLoadDialog

`addToolbarAction, asIOException, configure, createFormatSelector, getDescription, getIcon, getMenus, getName, getQueryComponent, getSelectedFormat, getSubmitAction, getToolbarActions, isAvailable, isComponentShowing, isReady, setIcon, setIconUrl, setMenus, setToolbarActions, submit, updateReady`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### FilestoreTableLoadDialog

public FilestoreTableLoadDialog()
Constructor.

## Method Details

### createQueryComponent

protected Component createQueryComponent()
Description copied from class: `AbstractTableLoadDialog`
Constructs the query component used by this dialogue. Called only once (lazily).

Specified by:
  `createQueryComponent` in class `AbstractTableLoadDialog`
Returns:
  query component

### createTableLoader

public TableLoader createTableLoader()
Description copied from interface: `TableLoadDialog`
Returns a new object which specifies how table loading is to be performed. The actions performed by the returned object will presumably be determined by the state at call time of this dialogues GUI component.

If the dialogue is not in a suitable state, either return null, or, if you want to provide more detailed information about what's wrong, throw a RuntimeException with an informative message.

Returns:
  new table loader object

### getChooser

public uk.ac.starlink.connect.FilestoreChooser getChooser()
Returns the filestore chooser used by this dialogue.

Returns:
  chooser